Bug 1584591 - gnocchi_api and gnocchi_metricd don't bind host's /var/lib/gnocchi directory
Summary: gnocchi_api and gnocchi_metricd don't bind host's /var/lib/gnocchi directory
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: 13.0 (Queens)
Assignee: Mehdi ABAAKOUK
QA Contact: Sasha Smolyak
URL:
Whiteboard:
Depends On: 1559920
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-31 09:27 UTC by Mehdi ABAAKOUK
Modified: 2018-07-11 17:15 UTC (History)
16 users (show)

Fixed In Version: openstack-tripleo-heat-templates-8.0.2-29.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1559920
Environment:
Last Closed: 2018-06-27 13:57:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1773376 None None None 2018-05-31 09:27:09 UTC
OpenStack gerrit 570580 None master: MERGED tripleo-heat-templates: gnocchi: add missing /var/lib/gnocchi (I086af01fed4eed609ea6801c483d76c819398979) 2018-05-31 15:10:08 UTC
OpenStack gerrit 571412 None stable/queens: NEW tripleo-heat-templates: gnocchi: add missing /var/lib/gnocchi (I086af01fed4eed609ea6801c483d76c819398979) 2018-05-31 15:10:02 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:58:54 UTC

Comment 14 Leonid Natapov 2018-06-05 12:49:10 UTC
1.(overcloud) [stack@undercloud-0 ~]$ openstack metric measures show --resource-id 5eaf3f11-45e4-4da4-9766-ae7bf4c7b778 cpu
+---------------------------+-------------+---------------+
| timestamp                 | granularity |         value |
+---------------------------+-------------+---------------+
| 2018-06-05T08:15:00-04:00 |       300.0 | 15870000000.0 |
| 2018-06-05T08:20:00-04:00 |       300.0 | 24310000000.0 |
| 2018-06-05T08:25:00-04:00 |       300.0 | 28710000000.0 |
| 2018-06-05T08:30:00-04:00 |       300.0 | 29260000000.0 |
| 2018-06-05T08:35:00-04:00 |       300.0 | 30020000000.0 |
| 2018-06-05T08:40:00-04:00 |       300.0 | 30560000000.0 |
+---------------------------+-------------+---------------+

2.[root@controller-0 heat-admin]# docker stop gnocchi_metricd
gnocchi_metricd
[root@controller-0 heat-admin]# docker start gnocchi_metricd
gnocchi_metricd

3.(overcloud) [stack@undercloud-0 ~]$ openstack metric measures show --resource-id 5eaf3f11-45e4-4da4-9766-ae7bf4c7b778 cpu
+---------------------------+-------------+---------------+
| timestamp                 | granularity |         value |
+---------------------------+-------------+---------------+
| 2018-06-05T08:15:00-04:00 |       300.0 | 15870000000.0 |
| 2018-06-05T08:20:00-04:00 |       300.0 | 24310000000.0 |
| 2018-06-05T08:25:00-04:00 |       300.0 | 28710000000.0 |
| 2018-06-05T08:30:00-04:00 |       300.0 | 29260000000.0 |
| 2018-06-05T08:35:00-04:00 |       300.0 | 30020000000.0 |
| 2018-06-05T08:40:00-04:00 |       300.0 | 30560000000.0 |
+---------------------------+-------------+---------------+

Comment 16 errata-xmlrpc 2018-06-27 13:57:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.